From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] manual: Zap superfluous . lines
Date: Sat,  5 Jun 2021 17:13:32 +0000
Message-Id: <20210605171332.46991-2-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

At least with mandoc(1) from OpenBSD these lines have no effect at all
(confirmed with "mandoc -T ascii/html/pdf"), so remove them.
---
 catgirl.1 | 54 ------------------------------------------------------
 1 file changed, 54 deletions(-)

diff --git a/catgirl.1 b/catgirl.1
index 40206b8..c18c9ed 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -1,11 +1,9 @@
 .Dd May 28, 2021
 .Dt CATGIRL 1
 .Os
-.
 .Sh NAME
 .Nm catgirl
 .Nd IRC client
-.
 .Sh SYNOPSIS
 .Nm
 .Op Fl KRelv
@@ -30,17 +28,14 @@
 .Op Fl u Ar user
 .Op Fl w Ar pass
 .Op Ar config ...
-.
 .Nm
 .Fl o
 .Op Fl S Ar bind
 .Op Fl h Ar host
 .Op Fl p Ar port
 .Op Ar config ...
-.
 .Nm
 .Fl g Ar cert
-.
 .Sh DESCRIPTION
 The
 .Nm
@@ -62,7 +57,6 @@ to view the list of
 .Sx COMMANDS
 and
 .Sx KEY BINDINGS .
-.
 .Pp
 Options can be loaded from files
 listed on the command line.
@@ -79,7 +73,6 @@ and lines beginning with
 are ignored.
 The options are listed below
 following their corresponding flags.
-.
 .Pp
 The arguments are as follows:
 .Bl -tag -width Ds
@@ -93,7 +86,6 @@ The default is the first available of
 .Xr wl-copy 1 ,
 .Xr xclip 1 ,
 .Xr xsel 1 .
-.
 .It Fl H Ar seed,bound | Cm hash No = Ar seed,bound
 Set the initial seed
 of the nick and channel
@@ -106,7 +98,6 @@ the 16-color terminal set,
 use 0,15.
 To disable nick and channel colors,
 use 0,0.
-.
 .It Fl I Ar pattern | Cm highlight No = Ar pattern
 Add a case-insensitive message highlight pattern,
 which may contain
@@ -134,7 +125,6 @@ The commands which can be filtered are:
 .Sy PRIVMSG ,
 .Sy QUIT ,
 .Sy SETNAME .
-.
 .It Fl K | Cm kiosk
 Disable the
 .Ic /copy ,
@@ -150,7 +140,6 @@ Disable the
 commands.
 Replace the username
 with a hash of its original value.
-.
 .It Fl N Ar util | Cm notify No = Ar util
 Send notifications using a utility.
 Use more than once to add arguments to
@@ -160,7 +149,6 @@ Two additional arguments are passed to
 a title and a description,
 appropriate for
 .Xr notify-send 1 .
-.
 .It Fl O Ar util | Cm open No = Ar util
 Set the utility used by
 .Ic /open .
@@ -169,7 +157,6 @@ Use more than once to add arguments to
 The default is the first available of
 .Xr open 1 ,
 .Xr xdg-open 1 .
-.
 .It Fl R | Cm restrict
 Disable the
 .Ic /copy ,
@@ -182,12 +169,10 @@ the
 option,
 and viewing this manual with
 .Ic /help .
-.
 .It Fl S Ar host | Cm bind No = Ar host
 Bind to source address
 .Ar host
 when connecting to the server.
-.
 .It Fl T Ar format | Cm timestamp Op = Ar format
 Show timestamps by default,
 in the specified
@@ -195,7 +180,6 @@ in the specified
 .Ar format .
 The default format is
 .Qq \&%X .
-.
 .It Fl a Ar user : Ns Ar pass | Cm sasl-plain No = Ar user : Ns Ar pass
 Authenticate as
 .Ar user
@@ -206,7 +190,6 @@ Since this requires the account password
 in plain text,
 it is recommended to use SASL EXTERNAL instead with
 .Fl e .
-.
 .It Fl c Ar path | Cm cert No = Ar path
 Load the TLS client certificate from
 .Ar path .
@@ -222,7 +205,6 @@ With
 authenticate using SASL EXTERNAL.
 Certificates can be generated with
 .Fl g .
-.
 .It Fl e | Cm sasl-external
 Authenticate using SASL EXTERNAL,
 also known as CertFP.
@@ -230,17 +212,14 @@ The TLS client certificate is loaded with
 .Fl c .
 For more information, see
 .Sx Configuring CertFP .
-.
 .It Fl g Ar path
 Generate a TLS client certificate using
 .Xr openssl 1
 and write it to
 .Ar path .
-.
 .It Fl h Ar host | Cm host No = Ar host
 Connect to
 .Ar host .
-.
 .It Fl i Ar pattern | Cm ignore No = Ar pattern
 Add a case-insensitive message ignore pattern,
 which may contain
@@ -268,13 +247,11 @@ The commands which can be filtered are:
 .Sy PRIVMSG ,
 .Sy QUIT ,
 .Sy SETNAME .
-.
 .It Fl j Ar channels Oo Ar keys Oc | Cm join No = Ar channels Oo Ar keys Oc
 Join the comma-separated list of
 .Ar channels
 with the optional comma-separated list of channel
 .Ar keys .
-.
 .It Fl k Ar path | Cm priv No = Ar priv
 Load the TLS client private key from
 .Ar path .
@@ -282,11 +259,9 @@ The
 .Ar path
 is searched for in the same manner
 as configuration files.
-.
 .It Fl l | Cm log
 Log chat events to files in paths
 .Pa $XDG_DATA_HOME/catgirl/log/network/channel/YYYY-MM-DD.log .
-.
 .It Fl n Ar nick | Cm nick No = Ar nick
 Set nickname to
 .Ar nick .
@@ -296,17 +271,14 @@ The default nickname is the system's username, i.e.\&
 Print the server certificate chain
 to standard output in PEM format
 and exit.
-.
 .It Fl p Ar port | Cm port No = Ar port
 Connect to
 .Ar port .
 The default port is 6697.
-.
 .It Fl r Ar real | Cm real No = Ar real
 Set realname to
 .Ar real .
 The default realname is the same as the nickname.
-.
 .It Fl s Ar name | Cm save No = Ar name
 Save and load the contents of windows from
 .Ar name
@@ -319,7 +291,6 @@ starts with
 .Ql \&./ ,
 or
 .Ql \&../ .
-.
 .It Fl t Ar path | Cm trust No = Ar path
 Trust the self-signed certificate
 loaded from
@@ -331,24 +302,20 @@ is searched for in the same manner
 as configuration files.
 See
 .Sx Connecting to Servers with Self-signed Certificates .
-.
 .It Fl u Ar user | Cm user No = Ar user
 Set username to
 .Ar user .
 The default username is the same as the nickname.
-.
 .It Fl v | Cm debug
 Log raw IRC messages to the
 .Sy <debug>
 window
 as well as standard error
 if it is not a terminal.
-.
 .It Fl w Ar pass | Cm pass No = Ar pass
 Log in with the server password
 .Ar pass .
 .El
-.
 .Ss Configuring CertFP
 .Bl -enum
 .It
@@ -380,7 +347,6 @@ sasl-external
 # or: catgirl -e -c example.pem
 .Ed
 .El
-.
 .Ss Connecting to Servers with Self-signed Certificates
 .Bl -enum
 .It
@@ -398,14 +364,12 @@ trust = example.pem
 # or: catgirl -t example.pem
 .Ed
 .El
-.
 .Sh COMMANDS
 Any unique prefix can be used to abbreviate a command.
 For example,
 .Ic /join
 can be typed
 .Ic /j .
-.
 .Ss Chat Commands
 .Bl -tag -width Ds
 .It Ic /away Op Ar message
@@ -459,7 +423,6 @@ Query information about a user.
 .It Ic /whowas Ar nick
 Query past information about a user.
 .El
-.
 .Ss UI Commands
 .Bl -tag -width Ds
 .It Ic /close Op Ar name | num
@@ -524,7 +487,6 @@ Switch to window by name.
 .It Ic /window Ar num | Ic / Ns Ar num
 Switch to window by number.
 .El
-.
 .Ss Operator Commands
 .Bl -tag -width Ds
 .It Ic /ban Op Ar mask ...
@@ -556,7 +518,6 @@ Remove masks from the channel invite list.
 .It Ic /voice Op Ar nick ...
 Grant users or yourself voice in the channel.
 .El
-.
 .Sh KEY BINDINGS
 The
 .Nm
@@ -570,7 +531,6 @@ and
 .Ic M-
 represent the control and meta (alt)
 modifiers, respectively.
-.
 .Ss Line Editing
 .Bl -tag -width Ds -compact
 .It Ic C-a
@@ -612,7 +572,6 @@ Complete nick, channel, command or macro.
 .Pp
 Arrow and navigation keys
 also work as expected.
-.
 .Ss Window Keys
 .Bl -tag -width Ds -compact
 .It Ic C-l
@@ -670,7 +629,6 @@ Scroll to first unread line.
 .It Ic M-v
 Scroll up a page.
 .El
-.
 .Ss IRC Formatting
 .Bl -tag -width "C-z C-v" -compact
 .It Ic C-z C-v
@@ -690,7 +648,6 @@ Toggle reverse color.
 .It Ic C-z u
 Toggle underline.
 .El
-.
 .Pp
 Some color codes can be inserted
 with the following:
@@ -702,7 +659,6 @@ with the following:
 .It Ic C-z K Ta black Ta Ic C-z W Ta white
 .It Ic C-z M Ta magenta Ta Ic C-z Y Ta yellow
 .El
-.
 .Pp
 To set other colors, follow
 .Ic C-z c
@@ -712,7 +668,6 @@ and one or two digits for the background color.
 To reset color, follow
 .Ic C-z c
 by a non-digit.
-.
 .Pp
 The color numbers are as follows:
 .Bl -column "99" "orange (dark yellow)" "15" "pink (light magenta)"
@@ -726,7 +681,6 @@ The color numbers are as follows:
 .It \ 7 Ta orange (dark yellow) Ta 15 Ta light gray
 .It 99 Ta default Ta Ta
 .El
-.
 .Sh ENVIRONMENT
 .Bl -tag -width Ds
 .It Ev SHELL
@@ -740,7 +694,6 @@ is used.
 .It Ev USER
 The default nickname.
 .El
-.
 .Sh FILES
 .Bl -tag -width Ds
 .It Pa $XDG_CONFIG_DIRS/catgirl
@@ -754,7 +707,6 @@ usually
 .Pa /etc/xdg .
 .It Pa ~/.config/catgirl
 The most likely location of configuration files.
-.
 .It Pa $XDG_DATA_DIRS/catgirl
 Save files are searched for first in
 .Ev $XDG_DATA_HOME ,
@@ -767,7 +719,6 @@ usually
 .It Pa ~/.local/share/catgirl
 The most likely location of save files.
 .El
-.
 .Sh EXIT STATUS
 The
 .Nm
@@ -777,7 +728,6 @@ if requested by the user,
 (69)
 if the connection is lost,
 and >0 if an error occurs.
-.
 .Sh EXAMPLES
 Join
 .Li #ascii.town
@@ -797,7 +747,6 @@ Load the configuration file:
 .Bd -literal -offset indent
 catgirl tilde
 .Ed
-.
 .Sh STANDARDS
 .Bl -item
 .It
@@ -964,7 +913,6 @@ catgirl tilde
 .%D August 2006
 .Re
 .El
-.
 .Ss Extensions
 The
 .Nm
@@ -976,10 +924,8 @@ implemented by
 The consumer position is stored in the
 .Cm save
 file.
-.
 .Sh AUTHORS
 .An June Bug Aq Mt june@causal.agency
-.
 .Sh BUGS
 Send mail to
 .Aq Mt list+catgirl@causal.agency
-- 
2.31.1


